'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getActiveQuizCaluclatorType = exports.getActiveQuizId = undefined;

var _quizSessions = require('./quizSessions');

var path = 'quizzes';

var getActiveQuizId = exports.getActiveQuizId = function getActiveQuizId(state) {
  // For some reason this could be defined in one or the other of these, or neither.
  return state.getIn([path, 'activeQuizId']) || (0, _quizSessions.getActiveQuizSession)(state) && (0, _quizSessions.getActiveQuizSession)(state).get('quiz');
};

var getActiveQuizCaluclatorType = exports.getActiveQuizCaluclatorType = function getActiveQuizCaluclatorType(state) {
  return state.getIn([path, getActiveQuizId(state), 'calculatorType']);
};