'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _immutable = require('immutable');

var _Quiz = require('../../../../../../common/records/Quiz');

var _Quiz2 = _interopRequireDefault(_Quiz);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  permutations: [{
    isEditing: [true, false]
  }],
  renderProps: function renderProps(props) {
    return {
      componentProps: {
        changeQuizInstructions: Function.prototype,
        clearModifications: Function.prototype,
        quiz: new _Quiz2.default((0, _immutable.fromJS)({
          id: 1,
          instructions: 'These are some instructions'
        })),
        saveQuizChange: Function.prototype,
        screenreaderNotification: Function.prototype,
        scrollKey: 'scrollKey',
        switchOffEditing: Function.prototype,
        switchOnEditing: Function.prototype
      }
    };
  }
};